Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IReadReport

All Superinterfaces
  IGroupwareItem, IItem, IMailMessage, IMessage, IMessagingItem, IReport, Serializable

    public interface IReadReport

extends IMailMessage, IReport

The `IReadReceipt` interface represents the message that is sent when a message that was flagged with a read receipt was read by the recipient. The item class is `item.read_receipt_report`.

Field Summary
`static ItemClass` | `CLASS` The item class of `IReadReceipt`.
`static int` | `KEYID_ORIGINAL_RECIPIENTS` The `int` ID for the `ORIGINAL_RECIPIENTS` key.
`static int` | `KEYID_READ_DATE` The `int` ID for the `READ_DATE` key.
`static Key` | `ORIGINAL_RECIPIENTS` Key that represents the original recipients of the message represented by this receipt.
`static Key` | `READ_DATE` Key that represents the date that the message represented by this receipt was read by the recipient.

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IReport
`KEYID_ORIGINAL_SUBJECT, ORIGINAL_SUBJECT`

Method Summary
`IMailRecipient[]` | `getOriginalRecipients()` Gets the original recipients that the message represented by this receipt was addressed to.
`Date` | `getReadDate()` Gets the date that the message represented by this receipt was read.

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IReport
`getOriginalSubject`

Field Detail

### KEYID_READ_DATE

    static final int KEYID_READ_DATE

  The `int` ID for the `READ_DATE` key.

  See Also
    Constants Summary

### KEYID_ORIGINAL_RECIPIENTS

    static final int KEYID_ORIGINAL_RECIPIENTS

  The `int` ID for the `ORIGINAL_RECIPIENTS` key.

  See Also
    Constants Summary

### READ_DATE

    static final Key READ_DATE

  Key that represents the date that the message represented by this receipt was read by the recipient.

### ORIGINAL_RECIPIENTS

    static final Key ORIGINAL_RECIPIENTS

  Key that represents the original recipients of the message represented by this receipt.

### CLASS

    static final ItemClass CLASS

  The item class of `IReadReceipt`.

Method Detail

### getReadDate

    Date getReadDate()
                     throws CollaborationException

  Gets the date that the message represented by this receipt was read.

  Returns
    the date the message was read.
  Throws
    `CollaborationException` - if there was a problem retrieving the date the message was read on.
  See Also
    `READ_DATE`

### getOriginalRecipients

    IMailRecipient[] getOriginalRecipients()
                                           throws CollaborationException

  Gets the original recipients that the message represented by this receipt was addressed to.

  Returns
    the original recipients of the message that was read.
  Throws
    `CollaborationException` - if there was a problem retrieving the original recipients.
  See Also
    `ORIGINAL_RECIPIENTS`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved